aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2018-07-25 21:36:25 +0200
committerTristan Gingold <tgingold@free.fr>2018-07-25 21:36:25 +0200
commit8bef75cef3035ce2b935999b2bbfb939f8cb0c4e (patch)
tree50bac213743fabb1e2cc19b6707c27b06e81e191 /testsuite
parentcec118dc95b675cf7a45c79b61cb2d2a14ab201b (diff)
downloadghdl-8bef75cef3035ce2b935999b2bbfb939f8cb0c4e.tar.gz
ghdl-8bef75cef3035ce2b935999b2bbfb939f8cb0c4e.tar.bz2
ghdl-8bef75cef3035ce2b935999b2bbfb939f8cb0c4e.zip
Add reproducer for #268
Diffstat (limited to 'testsuite')
-rw-r--r--testsuite/gna/issue268/repro.vhdl8
-rwxr-xr-xtestsuite/gna/issue268/testsuite.sh19
2 files changed, 27 insertions, 0 deletions
diff --git a/testsuite/gna/issue268/repro.vhdl b/testsuite/gna/issue268/repro.vhdl
new file mode 100644
index 000000000..72b8f0d2e
--- /dev/null
+++ b/testsuite/gna/issue268/repro.vhdl
@@ -0,0 +1,8 @@
+entity repro is
+end repro;
+
+architecture behav of repro is
+ signal s : bit;
+begin
+ s <= '0' after 2 ns, '1' after 4 ns;
+end behav;
diff --git a/testsuite/gna/issue268/testsuite.sh b/testsuite/gna/issue268/testsuite.sh
new file mode 100755
index 000000000..ce21ae474
--- /dev/null
+++ b/testsuite/gna/issue268/testsuite.sh
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+analyze repro.vhdl
+elab repro
+if ghdl_has_feature repro vcd; then
+ simulate repro --vcd=repro.vcd
+
+ if ! grep -q upscope repro.vcd; then
+ echo "missing scope in vcd"
+ exit 1;
+ fi
+fi
+
+clean
+rm -f repro.vcd
+
+echo "Test successful"